using System;
using System.Runtime.InteropServices;

namespace DirClean
{
    internal class ConsoleInputHandler
    {
        private const int ENABLE_ECHO_INPUT = 0x0004;
        private const int ENABLE_LINE_INPUT = 0x0002;
        private const int STD_INPUT_HANDLE = -10;

        [DllImport("kernel32")]
        internal static extern IntPtr GetStdHandle(int nStdHandle);

        [DllImport("kernel32")]
        internal static extern bool GetConsoleMode(IntPtr hConsoleHandle, ref int pmode);

        [DllImport("kernel32")]
        internal static extern bool SetConsoleMode(IntPtr hConsoleHandle, int mode);


        internal static void EnableCharMode()
        {
            IntPtr hConsole;
            int mode = 0;
            hConsole = GetStdHandle(STD_INPUT_HANDLE);
            GetConsoleMode(hConsole, ref mode);

            // must turn off echo mode when character input 
            mode &= ~(ENABLE_LINE_INPUT | ENABLE_ECHO_INPUT);
            SetConsoleMode(hConsole, mode);
        }


        internal static void EnableLineMode()
        {
            IntPtr hConsole;

            int mode = 0;
            hConsole = GetStdHandle(STD_INPUT_HANDLE);
            GetConsoleMode(hConsole, ref mode);
            mode |= (ENABLE_LINE_INPUT | ENABLE_ECHO_INPUT);

            SetConsoleMode(hConsole, mode);
        }
    }
}