namespace DirClean
{
    /// <summary>
    /// Constants used within DirClean.
    /// </summary>
    internal class Constants
    {
        // HELP TEXT
        internal static readonly string HELP_TEXT = "\nDirClean v1.0.1\n" +
                                                    "------------------------------------------------------------------\n" +
                                                    "\t-h\tDISPLAY HELP\n" + "\t-i\tDIRECTORY TO START IN.\n" +
                                                    "\t-r\tRECURSE DIRECTORIES.\n" +
                                                    "\t-c\tLOG EMPTY DIRECTORIES TO CONSOLE.\n" +
                                                    "\t-p\tPROMPT TO CONFIRM EACH DELETE.\n" +
                                                    "\t-d\tDELETE EMPTY DIRECTORIES.\n" +
                                                    "\t-e\tTREAT DIRECTORIES WITH ONLY HIDDEN FILES AS EMPTY.\n" +
                                                    "\t-s\tSILENT, NO CONSOLE OUTPUT AND NO USER INTERACTION.\n\n\n" +
                                                    "EXAMPLE USAGE\n\n" + "\tDIRCLEAN -i 'C:\\TEMP' -r -c -p -e -d\n";

        // PARAMETER REQUIREMENTS
        internal static readonly Option[] options = {
                                                        new Option(INITIAL_DIR, true), new Option(RECURSIVE, false),
                                                        new Option(LOG_TO_CONSOLE, false),
                                                        new Option(CONFIRM_EACH_DELETE, false),
                                                        new Option(DELETE, false), new Option(HIDDEN, false),
                                                        new Option(HELP, false), new Option(SILENT, false)
                                                    };

        #region PARAMETER CONSTANTS

        internal const string CONFIRM_EACH_DELETE = "-p";
        internal const string DELETE = "-d";
        internal const string HELP = "-h";
        internal const string HIDDEN = "-e";
        internal const string INITIAL_DIR = "-i";
        internal const string LOG_TO_CONSOLE = "-c";
        internal const string RECURSIVE = "-r";
        internal const string SILENT = "-s";

        #endregion

        /// <summary>
        /// Deconstructor.
        /// </summary>
        ~Constants()
        {
        }

        #region DEFAULT OPTION VALUES

        internal const bool DEFAULT_CONFIRM_EACH_DELETE = false;
        internal const bool DEFAULT_CONSOLE = false;
        internal const bool DEFAULT_DELETE = false;
        internal const bool DEFAULT_HIDDEN = false;
        internal const bool DEFAULT_RECURSE = false;
        internal const bool DEFAULT_SILENT = false;

        #endregion
    }
}