namespace DirClean
{
    /// <summary>
    /// A command line option.
    /// </summary>
    internal class Option
    {
        private readonly string _name = string.Empty;
        private readonly bool _valueRequired;


        /// <summary>
        /// Constructor.
        /// </summary>
        /// <param name="name">The name of the option.</param>
        /// <param name="valueRequired">Specifies whether this option must have an associated value.</param>
        internal Option(string name, bool valueRequired)
        {
            this._name = name;
            this._valueRequired = valueRequired;
        }


        /// <summary>
        /// Gets the name of the option.
        /// </summary>
        /// <returns>string</returns>
        internal string GetName()
        {
            return this._name;
        }


        /// <summary>
        /// Whether or not this option must have an associated value.
        /// </summary>
        /// <returns>boolean</returns>
        internal bool ValueRequired()
        {
            return this._valueRequired;
        }
    }
}